package cn.iocoder.yudao.module.system.dal.mysql.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyactivityimage.ElderlyBuildFloorActivityImagePageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ElderlyBuildFloorActivityImageDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 楼层活动图片记录 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface ElderlyBuildFloorActivityImageMapper extends BaseMapperX<ElderlyBuildFloorActivityImageDO> {

    default PageResult<ElderlyBuildFloorActivityImageDO> selectPage(ElderlyBuildFloorActivityImagePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ElderlyBuildFloorActivityImageDO>()
                .likeIfPresent(ElderlyBuildFloorActivityImageDO::getElderName, reqVO.getElderName())
                .eqIfPresent(ElderlyBuildFloorActivityImageDO::getBuildId, reqVO.getBuildId())
                .eqIfPresent(ElderlyBuildFloorActivityImageDO::getFloorId, reqVO.getFloorId())
                .eqIfPresent(ElderlyBuildFloorActivityImageDO::getRecordMonth, reqVO.getRecordMonth())
                .eqIfPresent(ElderlyBuildFloorActivityImageDO::getTenantId, reqVO.getTenantId())
                .orderByDesc(ElderlyBuildFloorActivityImageDO::getId));
    }
}


































